Subject: RE: New TTL Draft

From: Puneet Agarwal <[email-masked]>
Date: Thu, 1 Mar 2001 10:09:50 -0800

Eric/Shahram,

The draft addresses "all" forms of TTL processing in MPLS networks. The
non-hierarchical case is just a special case of the general problem
addressed in the draft.

And Shahram, I will still go with my proposal which I have cut and pasted
here. The reason is that I believe this is a concise and non-repetitive way
of describing Pop and subsequent operations. This captures the fact that you
can do Pops recursively and that you have to process the exposed packet (IP
or MPLS) again to determine the operation (Swap/Swap+Push/PHP/PHP+Push/Pop).

4) Pop : This is the terminating point of an LSP tunnel, in 
 which, first the top label is popped and then the packet is 
 forwarded based on the lower label (or exposed IP header).
 Note that this operation can occur recursively. The iTTL is
 updated as explained in section 2.3. The outgoing TTL would
 be determined by the last non "Pop" operation performed
 on the packet.

-Puneet

>-----Original Message-----
>From: Shahram Davari [mailto:[email-masked]]
>Sent: Wednesday, February 28, 2001 8:41 AM
>To: 'Eric Gray'
>Cc: 'Puneet Agarwal'; [email-masked]'; [email-masked]';
>[email-masked]'; [email-masked]'; Bora Akyol
>Subject: RE: New TTL Draft
>
>
>Hi Eric,
>
>
>>     I see no reason why Puneet's draft should affect TTL processing
>> in intermediate LSRs.  I believe this is well defined elsewhere.
>
>Sure, but first the authors should decide what is the 
>objective of this draft? Is it explaining the TTL processing 
>after pop or push, in other words is it explaining the TTL 
>processing at tunnel ingress/egress/penultimate? or is it a 
>general TTL processing draft that explains TTL processing at 
>any node be it intermediate or tunnel ingress/egress/penultimate?
>
>It seems that the authors intend to talk only about tunnel 
>ingress/egress/penultimate TTL processing. If that is the case 
>then the draft is misleading because neither the title nor the 
>text reflect this. Also section 2.3 second paragraph talks 
>about iTTL determination for push/"SWAP"/php. Which means it 
>is talking about iTTL determination for a "SWAP" case too, 
>which is intermediate TTL processing. 
>
>>     By the way, an LSR that pops a label is not an intermediate LSR
>> with respect to the LSP for which that label applied.
>>
>
>Yes, I guess I know that.
>
>Thanks,
>-Shahram 
>

---

From: "S.Matsushima" <[email-masked]>
Date: Sat, 03 Mar 2001 02:01:06 +0900

I think you can consider following situation:

"TTL processing in intermediate LSR of LSP cut off points."

Is it clear?

--
Satoru Matsushima